AAindex (BioJava-1.5-beta API)
Keywords: org.biojava.bio.proteomics.aaindex.AAindex class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.proteomics.aaindex
Class AAindex

    java.lang.Object
      org.biojava.bio.symbol.SimpleSymbolPropertyTable
          org.biojava.bio.proteomics.aaindex.AAindex

All Implemented Interfaces:
  SymbolPropertyTable

    public class AAindex

extends SimpleSymbolPropertyTable

Symbol property table based on the Amino Acid Index Database. Each `AAindex` object represents a single entry of an AAindex1 file. Each entry contains twenty numeric values for the twenty amino acids, e.g. describing the hydrophobicity of an amino acid. To get this value for a certain amino acid call the `SymbolPropertyTable.getDoubleValue(org.biojava.bio.symbol.Symbol)` method with the appropriate symbol, e.g. `aaindex.getDoubleValue(ProteinTools.gln())`. The remaining data fields, i.e. object properties, are fully described in the AAindex manual .

References:

AAindex web site.

Kawashima, S. and Kanehisa, M.; AAindex: amino acid index database. Nucleic Acids Res. 28, 374 (2000).

Tomii, K. and Kanehisa, M.; Analysis of amino acid indices and mutation matrices for sequence comparison and structure prediction of proteins. Protein Eng. 9, 27-36 (1996).

Nakai, K., Kidera, A., and Kanehisa, M.; Cluster analysis of amino acid indices for prediction of protein structure and function. Protein Eng. 2, 93-100 (1988)

Version:
  $Revision: 1.2 $
Author:
  Martin Szugat

Field Summary
`static Alphabet` | `PROTEIN_ALPHABET` The alphabet of the symbol property table, that is protein.

Fields inherited from interface org.biojava.bio.symbol.SymbolPropertyTable
`AVG_MASS, MONO_MASS, PK`

Constructor Summary
`AAindex(String accessionNumber)` Initializes the AAindex symbol property table.

Method Summary
`String` | `accessionNumber()` Gets the accession number of the AAindex entry.
`String` | `getArticleAuthors()` Gets the names of the authors which first published an article about the AAindex entry.
`String` | `getArticleTitle()` Gets the title of the article which describes the AAindex entry.
`String` | `getComment()` Gets the user comment for the AAindex entry.
`String` | `getDescription()` Gets the description for the AAindex entry.
`String` | `getJournalReference()` Gets a reference to the journal which published the article about the AAindex entry.
`String[]` | `getLITDBEntryNumbers()` Gets the list of literature database identifiers for the AAindex entry.
`void` | `setArticleAuthors(String articleAuthors)` Sets the names of the authors which first published an article about the AAindex entry.
`void` | `setArticleTitle(String articleTitle)` Sets the title of the article which describes the AAindex entry.
`void` | `setComment(String comment)` Sets the user comment for the AAindex entry.
`void` | `setDescription(String description)` Sets the description for the AAindex entry.
`void` | `setJournalReference(String journalReference)` Sets a reference to the journal which published the article about the AAindex entry.
`void` | `setLITDBEntryNumbers(String[] litdbEntryNumbers)` Sets the list of literature database identifiers for the AAindex entry.
`Map` | `similarEntries()` Returns a map with the names of similar AAindex entries and its correlation coefficients.

Methods inherited from class org.biojava.bio.symbol.SimpleSymbolPropertyTable
`getAlphabet, getDoubleValue, getName, setDoubleProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROTEIN_ALPHABET

    public static final Alphabet PROTEIN_ALPHABET

  The alphabet of the symbol property table, that is protein.

Constructor Detail

### AAindex

    public AAindex(String accessionNumber)
            throws NullPointerException

  Initializes the AAindex symbol property table.

  Parameters:
    `accessionNumber` - the AAindex accession number (same as the table name)
  Throws:
    `NullPointerException` - if `accessionNumber` is `null`.

Method Detail

### accessionNumber

    public String accessionNumber()

  Gets the accession number of the AAindex entry.

  Returns:
    the accession number (same as `SymbolPropertyTable.getName()`

### getArticleAuthors

    public String getArticleAuthors()

  Gets the names of the authors which first published an article about the AAindex entry.

  Returns:
    a list of names. May be `null`.

### setArticleAuthors

    public void setArticleAuthors(String articleAuthors)

  Sets the names of the authors which first published an article about the AAindex entry.

  Parameters:
    `articleAuthors` - May be `null`.

### getComment

    public String getComment()

  Gets the user comment for the AAindex entry.

  Returns:
    free text. May be `null`.

### setComment

    public void setComment(String comment)

  Sets the user comment for the AAindex entry.

  Parameters:
    `comment` - free text. May be `null`.

### getArticleTitle

    public String getArticleTitle()

  Gets the title of the article which describes the AAindex entry.

  Returns:
    the article title. May be `null`.

### setArticleTitle

    public void setArticleTitle(String articleTitle)

  Sets the title of the article which describes the AAindex entry.

  Parameters:
    `articleTitle` - the article title. May be `null`.

### getDescription

    public String getDescription()

  Gets the description for the AAindex entry.

  Returns:
    a human readable description. May be `null`.

### setDescription

    public void setDescription(String description)

  Sets the description for the AAindex entry.

  Parameters:
    `description` - a human readable description. May be `null`.

### getJournalReference

    public String getJournalReference()

  Gets a reference to the journal which published the article about the AAindex entry.

  Returns:
    the journal reference. May be `null`.

### setJournalReference

    public void setJournalReference(String journalReference)

  Sets a reference to the journal which published the article about the AAindex entry.

  Parameters:
    `journalReference` - the journal reference. May be `null`.

### getLITDBEntryNumbers

    public String[] getLITDBEntryNumbers()

  Gets the list of literature database identifiers for the AAindex entry.

  Returns:
    a list of identifiers. May be `null`.

### setLITDBEntryNumbers

    public void setLITDBEntryNumbers(String[] litdbEntryNumbers)

  Sets the list of literature database identifiers for the AAindex entry.

  Parameters:
    `litdbEntryNumbers` - a list of identifiers

### similarEntries

    public Map similarEntries()

  Returns a map with the names of similar AAindex entries and its correlation coefficients.

  Returns:
    a map which keys are the names of the similar AAindex entries and which values are the corresponding correlation coefficients

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD